## dh-octave 0.3.2

=== Makefile ===
SCRIPTS = dh_octave_substvar	\
          dh_octave_check	\
          dh_octave_clean	\
          dh_octave_make	\
          dh_octave_version	\
          dh_octave_changelogs

MANPAGES = $(patsubst %,%.1,$(SCRIPTS))

VERSION := $(shell dpkg-parsechangelog -S Version)

.PHONY: all
all: manpages chmod

.PHONY: manpages
manpages: $(MANPAGES)

%.1: %
	pod2man --center="dh-octave" --release="$(VERSION)" --utf8 $< > $@

dh_octave_make: dh_octave_make.in
	perl substitute.pl

.PHONY: chmod
chmod: $(SCRIPTS)
	chmod +x $(SCRIPTS)

.PHONY: clean
clean:
	rm -f $(MANPAGES) dh_octave_make

=== debian/changelog ===
dh-octave (0.3.2) unstable; urgency=medium

  [ Mike Miller ]
  * Documentation:
    + Fix POD syntax to be consistent with debhelper.
    + Fix documentation formatting and spelling.
  * Makefile: Include package name and version in man pages.
  * dh_octave_make:
    + Use secure URL for Homepage control field.
    + Append a newline to generated debian/compat.
    + Escape make variable in generated debian/rules.
    + Fill Uploaders correctly in generated debian/control.
    + Use team+pkg-octave-team@tracker.d.o as the Maintainer.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 Feb 2018 06:09:34 -0300

dh-octave (0.3.1) unstable; urgency=medium

  * dh_octave_check:
    + Fix file redirection
    + Capture results of debian/check.m
    + Use file name of *.cc as argument of test

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 09 Feb 2018 19:57:34 -0200

dh-octave (0.3.0) unstable; urgency=medium

  * d/control: Add dependency libmime-tools-perl

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 08 Feb 2018 15:00:59 -0200

dh-octave (0.2.0) unstable; urgency=medium

  * d/control: Change Maintainer to team+pkg-octave-team@tracker.debian.org
  * README.md: Add section on the internals of dh-octave

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 04 Feb 2018 10:04:56 -0200

dh-octave (0.1.0) unstable; urgency=low

  * Initial release (Closes: #887097)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 15 Jan 2018 20:18:14 -0200

=== debian/control ===
Source: dh-octave
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 11),
               libparse-debcontrol-perl,
               dh-exec
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git

Package: dh-octave
Architecture: all
Depends: liboctave-dev (>= 4.2.1-5),
         debhelper (>= 11),
         cme,
         libparse-debcontrol-perl,
         libmime-tools-perl,
         dh-octave-autopkgtest,
         ${misc:Depends},
         ${perl:Depends}
Description: Debhelper-based infrastructure for building Octave add-on packages
 Since version 3.0 of Octave (a numerical computation software),
 add-ons can be installed through the pkg.m system.  This package
 provides the infrastructure for packaging such add-ons for Debian,
 based on debhelper.  It replaces the deprecated octave-pkg-dev
 package. This package contains debhelper-like scripts for building,
 checking and cleaning the add-on package as well as for generating
 the substitution variables in debian/control.
 .
 This package is intended to be used by the Debian Octave Group
 and should be of little interest to general users.

Package: dh-octave-autopkgtest
Architecture: all
Depends: gnuplot-nox, ${misc:Depends}
Description: script for the automatic testing of Octave add-on packages
 This package contains the dh_octave_check script that runs the unit tests
 contained in all *.m and *.cc files available in the source tree from
 which it is launched.  It is intended to be used by the support for
 Octave-Forge add-on packages, which is implemented in autodep8.

## dh-octave 0.6.0~bpo9+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 15 Oct 2018 18:00:18 +0200

dh-octave (0.6.0) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0
  * dh_octave_check: Honor DEB_BUILD_OPTIONS=terse

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 08 Aug 2018 02:49:46 -0300

dh-octave (0.5.6) unstable; urgency=medium

  * dh_octave_check: Use lowercase name of the package
  * d/control: Bump Standards-Version to 4.1.5 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jul 2018 09:39:40 -0300

dh-octave (0.5.5) unstable; urgency=medium

  * dh_octave_substvar: Add epoch number to versioned dependencies
    (Closes: #893900)
  * dh_octave_check:
    + Test the actual C++ file found in the src tree
    + Ditto for the .m file
    + Introduce option --use-installed-package

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 10 Jul 2018 07:20:57 -0300

dh-octave (0.5.4) unstable; urgency=medium

  * dh_octave_check: Do not load the package being currently tested

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 06 Jul 2018 04:01:11 -0300

dh-octave (0.5.3) unstable; urgency=medium

  * dh-octave-autopkgtests now Depends on fonts-freefont-otf.
    The autopkgtest environment is exactly the sort of minimal environment
    where normal Fontconfig matching fails, so ensure the fallback font
    files are installed.
  * Enfore C locale in test_dh_octave.sh

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 11 Jun 2018 19:36:41 +0200

dh-octave (0.5.2) unstable; urgency=medium

  * dh_octave_check: Fix logical precedence in find command

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 17 May 2018 04:47:36 -0300

dh-octave (0.5.1) unstable; urgency=medium

  * dh_octave_check: Also extract unit tests from *.cpp files

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 09 May 2018 05:10:41 -0300

dh-octave (0.5.0) unstable; urgency=medium

  * dh_octave_check:
    + Read extra variables definitions from d/checkvars
    + Document the available environment variables

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 May 2018 04:27:01 -0300

dh-octave (0.4.0) unstable; urgency=medium

  * Add unit test suite (for use at build time and for autopkgtest)
  * dh_octave_check:
    + Give feedback on the script failure
    + Add local path before loading all the installed packages.
      Thanks to Sébastien Villemot for the fix
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)
  * dh_octave_examples: New helper script for installing upstream examples

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 29 Apr 2018 12:16:05 -0300

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                libparse-debcontrol-perl,
-               dh-exec
-Standards-Version: 4.1.3
+               dh-exec,
+	       octave,
+               shunit2
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
+Rules-Requires-Root: no
 
 Package: dh-octave
 Architecture: all
@@ -36,7 +39,9 @@
 
 Package: dh-octave-autopkgtest
 Architecture: all
-Depends: gnuplot-nox, ${misc:Depends}
+Depends: gnuplot-nox,
+         fonts-freefont-otf,
+         ${misc:Depends}
 Description: script for the automatic testing of Octave add-on packages
  This package contains the dh_octave_check script that runs the unit tests
  contained in all *.m and *.cc files available in the source tree from

## dh-octave 0.6.0~bpo9+1+nd1~nd12.04+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd12.04+1) precise; urgency=medium

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:55:22 -0500

dh-octave (0.6.0~bpo9+1+nd1) neurodebian; urgency=medium

  * Downgraded debhelper demand to 9

 -- Yaroslav Halchenko <neurodebian@smaug.cns.dartmouth.edu>  Wed, 23 Jan 2019 22:37:51 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd14.04+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:57:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dh-octave
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 9),
                libparse-debcontrol-perl,
                dh-exec,
 	       octave,
@@ -17,7 +18,7 @@
 
 Package: dh-octave
 Architecture: all
-Depends: liboctave-dev (>= 4.2.1-5),
+Depends: neurodebian-popularity-contest, liboctave-dev (>= 4.2.1-5),
          debhelper (>= 11),
          cme,
          libparse-debcontrol-perl,
@@ -39,7 +40,7 @@
 
 Package: dh-octave-autopkgtest
 Architecture: all
-Depends: gnuplot-nox,
+Depends: neurodebian-popularity-contest, gnuplot-nox,
          fonts-freefont-otf,
          ${misc:Depends}
 Description: script for the automatic testing of Octave add-on packages

## dh-octave 0.6.0~bpo9+1+nd1~nd17.10+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 23:01:58 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd18.04+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 23:04:22 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd80+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd80+1) jessie; urgency=medium

  * Backported for jessie.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:38:38 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd90+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:42:50 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd100+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:46:47 -0500

## dh-octave 0.6.0~bpo9+1+nd1~nd+1

=== debian/changelog ===
dh-octave (0.6.0~bpo9+1+nd1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Jan 2019 22:51:04 -0500

## dh-octave 0.6.0

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: dh-octave
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libparse-debcontrol-perl,
                dh-exec,
 	       octave,
                shunit2
-Standards-Version: 4.2.1
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
 
 Package: dh-octave
 Architecture: all
-Depends: neurodebian-popularity-contest, liboctave-dev (>= 4.2.1-5),
+Depends: liboctave-dev (>= 4.2.1-5),
          debhelper (>= 11),
          cme,
          libparse-debcontrol-perl,
@@ -40,7 +39,7 @@
 
 Package: dh-octave-autopkgtest
 Architecture: all
-Depends: neurodebian-popularity-contest, gnuplot-nox,
+Depends: gnuplot-nox,
          fonts-freefont-otf,
          ${misc:Depends}
 Description: script for the automatic testing of Octave add-on packages

## dh-octave 0.6.1

=== debian/changelog ===
dh-octave (0.6.1) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.2.1 (no changes needed)
  * sequence.pm: Honour nockeck in DEB_BUILD_MAINT_OPTIONS environment variable

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 03 Nov 2018 09:18:26 -0300

## dh-octave 0.6.2

=== debian/changelog ===
dh-octave (0.6.2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:51:32 -0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
            Mike Miller <mtmiller@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                libparse-debcontrol-perl,
                dh-exec,
-	       octave,
+               octave,
                shunit2
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Package: dh-octave
 Architecture: all
 Depends: liboctave-dev (>= 4.2.1-5),
-         debhelper (>= 11),
+         debhelper-compat (= 12),
          cme,
          libparse-debcontrol-perl,
          libmime-tools-perl,

## dh-octave 0.7.3

=== debian/changelog ===
dh-octave (0.7.3) unstable; urgency=medium

  * d/control: Depends on libconfig-model-dpkg-perl.
    This is necessary for having cme's model for application
    "dpkg-copyright". This allows the proper generation of file
    debian/copyright by dh_octave_make.
  * Proper specification of the debhelper compatibility level.
    The dh_octave_make script adds now the appropriate build-dependency on
    "debhelper-compat (= <level>)", instead of using the old method via
    the debian/compat file.
  * dh_make_octave now adds "Rules-Requires-Root: no" to debian/control
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * README.md:
    + Fix position of dh_octave_substvar
    + Invert column order in table for dh-octave commands
    + Add mention to debian/checkvars

 -- Rafael Laboissière <rafael@debian.org>  Sun, 09 Feb 2020 07:06:04 -0300

dh-octave (0.7.2) unstable; urgency=medium

  * sequence.pm: Insert dh_octave_substvar before dh_installdeb.
    The previous code, where dh_octave_substvar was insert after
    dh_shlibdeps, was failing for packages with "Architecture: all", for
    which dh_shlibdeps is not in the dh binary sequence.

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 04 Nov 2019 09:01:55 -0300

dh-octave (0.7.1) unstable; urgency=medium

  * dh_octave_substvar: Drop useless import of module Dpkg::Version
  * d/control: Add lacking dependency on libfile-find-rule-perl

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 08:56:28 -0300

dh-octave (0.7.0) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.4.1 (no changes needed)
  * dh_octave_substvar: Inject dependency on virtual package octave-abi-N

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 31 Oct 2019 17:38:53 -0300

## dh-octave 0.7.4

=== debian/changelog ===
dh-octave (0.7.4) unstable; urgency=medium

  * install-pkg.m: Make installed *.oct files non-executable.
    This complies with FHS 3.0 (sections 4.6 and 4.7), which has been
    adopted by the Debian Policy.
  * dh_octave_make.in: Create the debian/upstream/metadata file
  * d/copyright: Update copyright years

 -- Rafael Laboissière <rafael@debian.org>  Sat, 28 Mar 2020 17:50:51 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dh-octave
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>,
+           Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: devel
 Priority: optional
@@ -10,18 +10,20 @@
                dh-exec,
                octave,
                shunit2
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
 
 Package: dh-octave
 Architecture: all
-Depends: liboctave-dev (>= 4.2.1-5),
+Depends: liboctave-dev (>= 5.1.0-4),
          debhelper-compat (= 12),
          cme,
+         libconfig-model-dpkg-perl,
          libparse-debcontrol-perl,
          libmime-tools-perl,
+         libfile-find-rule-perl,
          dh-octave-autopkgtest,
          ${misc:Depends},
          ${perl:Depends}

## dh-octave 0.7.6

=== debian/changelog ===
dh-octave (0.7.6) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * dh_octave_check: Use mktemp instead of deprecated tempfile

 -- Rafael Laboissière <rafael@debian.org>  Fri, 29 May 2020 10:31:49 -0300

dh-octave (0.7.5) unstable; urgency=medium

  * install-pkg.m: Make installed *.mex files non-executable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Apr 2020 19:55:38 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Mike Miller <mtmiller@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libparse-debcontrol-perl,
                dh-exec,
                octave,
@@ -18,7 +18,7 @@
 Package: dh-octave
 Architecture: all
 Depends: liboctave-dev (>= 5.1.0-4),
-         debhelper-compat (= 12),
+         debhelper-compat (= 13),
          cme,
          libconfig-model-dpkg-perl,
          libparse-debcontrol-perl,

## dh-octave 1.0.1

=== debian/changelog ===
dh-octave (1.0.1) unstable; urgency=medium

  * Source-only upload, so that the package can migrate into testing

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Oct 2020 13:14:25 -0300

dh-octave (1.0.0) unstable; urgency=medium

  * Release new version 1.0.0.  No changes are made in the package.  The
    version number just reflects the fact that dh-octave is now mature.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 09:40:54 -0300

## dh-octave 1.0.2

=== debian/changelog ===
dh-octave (1.0.2) unstable; urgency=medium

  * dh_octave_changelogs: Use max compression for gzip.
    This avoids the Lintian warning
    changelog-not-compressed-with-max-compression, regarding the upstream
    file ChangeLog.gz.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 10:10:21 -0300

## dh-octave 1.0.3

=== debian/changelog ===
dh-octave (1.0.3) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * install-pkg.m:
    + Drop useless calls to sprintf
    + Remove left over files *-tst

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 12:54:46 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                dh-exec,
                octave,
                shunit2
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: make check
Depends: @, shunit2

## dh-octave 1.1.0

=== debian/changelog ===
dh-octave (1.1.0) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/control: liboctave-dev has been renamed to octave-dev

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 20 Jan 2022 04:51:44 -0300

dh-octave (1.0.5) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 03:37:30 -0300

dh-octave (1.0.4) experimental; urgency=medium

  * dh_octave_make.in: Create the debian/gbp.conf file

 -- Rafael Laboissière <rafael@debian.org>  Mon, 09 Aug 2021 03:07:32 -0300

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                dh-exec,
                octave,
                shunit2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
 
 Package: dh-octave
 Architecture: all
-Depends: liboctave-dev (>= 5.1.0-4),
+Depends: octave-dev,
          debhelper-compat (= 13),
          cme,
          libconfig-model-dpkg-perl,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for the dh-octave Debian package

%:
	dh $@

## dh-octave 1.2.3

=== debian/changelog ===
dh-octave (1.2.3) unstable; urgency=medium

  * Use distclean target for cleaning files in upstream src directory
    + dh_octave_clean: Ditto
    + test_dh_octave.sh: Adjust unit test
  * test_dh_octave.sh: Add unit test for testing the removal of src/*-tst files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 06 Jul 2022 04:51:08 -0300

dh-octave (1.2.2) unstable; urgency=medium

  * dh_octave_clean: Remove src/*-tst files

 -- Rafael Laboissière <rafael@debian.org>  Tue, 05 Jul 2022 10:28:19 -0300

dh-octave (1.2.1) unstable; urgency=medium

  * dh_octave_make.in: Ignore case of field names in the DESCRIPTION file
  * d/control: Build-depends on octave-dev
    This is necessary because the command octave-config is used in
    test_dh_octave.sh.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Jun 2022 06:08:22 -0300

dh-octave (1.2.0) unstable; urgency=medium

  [ Nicolas Boulenguez ]
  * d/control: let dh-octave provide dh-sequence-octave (Closes: #1011556)
  * install-pkg.m: implement non-octave parts with perl’s Dh_Lib
  * buildsystem.pm: use debhelper’s tmpdir instead of debian/sourcepackage
  * dh scripts: document how which script is enabled

  [ Rafael Laboissière ]
  * buildsystem.pm:
    + Use Debian::Debhelper::Dh_Lib
    + Avoid wildcards in doit calls
    + Check whether directories exist before acting on them
  * dh_octave_make.in: Use dh-sequence-octave in Build-Depends
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Update copyright years
  * README.md: Document the use of the virtual package dh-sequence-octave

 -- Rafael Laboissière <rafael@debian.org>  Tue, 31 May 2022 08:14:25 -0300

## dh-octave 1.2.4

=== debian/changelog ===
dh-octave (1.2.4) unstable; urgency=medium

  * dh_octave_make.in: Use new URL at gnu-octave.github.io for d/watch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Sep 2022 07:58:35 -0300

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
 Build-Depends: debhelper-compat (= 13),
                libparse-debcontrol-perl,
                dh-exec,
-               octave,
+               octave-dev,
                shunit2
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
 
 Package: dh-octave
+Provides: dh-sequence-octave
 Architecture: all
 Depends: octave-dev,
          debhelper-compat (= 13),

## dh-octave 1.2.5

=== debian/changelog ===
dh-octave (1.2.5) unstable; urgency=medium

  * dh_octave_substvar: Remove trailing newline from package names
    present in Depends (Closes: #1025714)

 -- Rafael Laboissière <rafael@debian.org>  Thu, 08 Dec 2022 20:03:25 -0300

## dh-octave 1.2.6

=== debian/changelog ===
dh-octave (1.2.6) unstable; urgency=medium

  * dh_octave_substvar: Remove trailing newline from octave-abi-N in
    ${shlibs:Depends}

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 19 Dec 2022 16:45:03 +0100

## dh-octave 1.2.7

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
           dh_octave_clean	\
           dh_octave_make	\
           dh_octave_version	\
-          dh_octave_changelogs
+          dh_octave_changelogs	\
+          dh_octave_examples
 
 MANPAGES = $(patsubst %,%.1,$(SCRIPTS))
 
@@ -25,6 +26,10 @@
 chmod: $(SCRIPTS)
 	chmod +x $(SCRIPTS)
 
+.PHONY: check
+check:
+	PREFIX=$(shell pwd)/ ./test_dh_octave.sh
+
 .PHONY: clean
 clean:
 	rm -f $(MANPAGES) dh_octave_make

=== debian/changelog ===
dh-octave (1.2.7) unstable; urgency=medium

  * Annotate Build-Depends on shunit2 as <!nocheck> (Closes: #1029975)
  * Update standards version to 4.6.2, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 31 Jan 2023 15:25:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                libparse-debcontrol-perl,
                dh-exec,
                octave-dev,
-               shunit2
-Standards-Version: 4.6.1
+               shunit2 <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no

## dh-octave 1.2.7+nd1~nd20.04+1

=== debian/changelog ===
dh-octave (1.2.7+nd1~nd20.04+1) focal; urgency=medium

  * Backported for focal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 Aug 2023 16:49:28 -0400

dh-octave (1.2.7+nd1) neurodebian; urgency=medium

  * Non-maintainer upload.
  * Add liboctave-dev as an alternative to octave-dev,
    it is the one present on older debian/ubuntu and provides octave-config

 -- Yaroslav Halchenko <neurodebian@smaug.datalad.org>  Tue, 15 Aug 2023 16:29:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: dh-octave
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
@@ -8,7 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                libparse-debcontrol-perl,
                dh-exec,
-               octave-dev,
+               octave-dev | liboctave-dev,
                shunit2 <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
@@ -18,7 +19,7 @@
 Package: dh-octave
 Provides: dh-sequence-octave
 Architecture: all
-Depends: octave-dev,
+Depends: neurodebian-popularity-contest, octave-dev | liboctave-dev,
          debhelper-compat (= 13),
          cme,
          libconfig-model-dpkg-perl,
@@ -42,7 +43,7 @@
 
 Package: dh-octave-autopkgtest
 Architecture: all
-Depends: gnuplot-nox,
+Depends: neurodebian-popularity-contest, gnuplot-nox,
          fonts-freefont-otf,
          ${misc:Depends}
 Description: script for the automatic testing of Octave add-on packages

## dh-octave 1.2.7+nd1~nd100+1

=== debian/changelog ===
dh-octave (1.2.7+nd1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 15 Aug 2023 16:33:15 -0400

## dh-octave 1.4.0

=== debian/changelog ===
dh-octave (1.4.0) experimental; urgency=medium

  * dh_octave_make.in: Add upstream BuildRequires field to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Sun, 30 Apr 2023 10:24:51 -0300

dh-octave (1.3.1) experimental; urgency=medium

  * dh_octave_make.in: Fix regex for finding the upstream bug database

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Mar 2023 02:59:11 -0300

dh-octave (1.3.0) experimental; urgency=medium

  * dh_octave_make.in:
    + Use Homepage at gnu-octave.github.io
    + Drop extraneuous trailing whitespace from package name
  * Get upstream metadata from gnu-octave.github.io
    + dh_octave_make.in: Parse upstream homepage for the package
    + d/control: Include dependencies on needed Perl modules

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Mar 2023 15:58:58 -0300

## dh-octave 1.5.0~nd22.04+1

=== debian/changelog ===
dh-octave (1.5.0~nd22.04+1) jammy; urgency=medium

  * Backported for jammy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 Aug 2023 12:17:12 -0400

dh-octave (1.5.0) unstable; urgency=medium

  * Upload to unstable

  * dh_octave_make.in:
    + Ensure a blank like before "Files: debian/*" stanza
    + Get URL documentation from "function reference" link

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 17:45:46 -0300

## dh-octave 1.5.0~nd120+1

=== debian/changelog ===
dh-octave (1.5.0~nd120+1) bookworm; urgency=medium

  * Backported for bookworm.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 Aug 2023 12:07:22 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                libparse-debcontrol-perl,
-               dh-exec,
-               octave-dev | liboctave-dev,
+               octave-dev,
                shunit2 <!nocheck>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
@@ -19,14 +19,16 @@
 Package: dh-octave
 Provides: dh-sequence-octave
 Architecture: all
-Depends: neurodebian-popularity-contest, octave-dev | liboctave-dev,
+Depends: neurodebian-popularity-contest, cme,
          debhelper-compat (= 13),
-         cme,
+         dh-octave-autopkgtest,
          libconfig-model-dpkg-perl,
+         libfile-find-rule-perl,
+         libhtml-parser-perl,
+         libmime-tools-perl,
          libparse-debcontrol-perl,
-         libmime-tools-perl,
-         libfile-find-rule-perl,
-         dh-octave-autopkgtest,
+         libwww-perl,
+         octave-dev,
          ${misc:Depends},
          ${perl:Depends}
 Description: Debhelper-based infrastructure for building Octave add-on packages

## dh-octave 1.8.0

=== debian/changelog ===
dh-octave (1.8.0) unstable; urgency=medium

  * Add lacking Copyright notice and licensing conditions
  * Do not remove Qt Help files (*.qhc and *.qch)
    + clean-docdir: New script for selective removal of documentation files
    + buildsystem.pm: Invoke clean-docdir
    + d/dh-octave.install: Install clean-docdir
  * d/copyright: Update list of Copyright years

 -- Rafael Laboissière <rafael@debian.org>  Thu, 25 Jan 2024 12:09:30 -0300

dh-octave (1.7.0) unstable; urgency=medium

  * dh_octave_clean: Invoke the clean targets of the top-level Makefile

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 19:10:46 -0300

dh-octave (1.6.1) unstable; urgency=medium

  * dh_octave_check:
    + Remove duplicated code
    + Ensure closing of file descriptor
    + Add priting of execution progress
    + Ensure status code 0 at normal exit

 -- Rafael Laboissière <rafael@debian.org>  Fri, 05 Jan 2024 13:27:31 -0300

dh-octave (1.6.0) unstable; urgency=medium

  * dh_octave_check: Create a writable, temporary HOME directory.
    This may be needed by some packages, which FTBFS when built on
    some autobuilders that set HOME=/nonexistent/. Also, this version
    introduces the cleanup of temporary files and directories via the
    shell's trap mechanism.

 -- Rafael Laboissière <rafael@debian.org>  Sat, 23 Dec 2023 04:03:41 -0300

dh-octave (1.5.1) unstable; urgency=medium

  * dh_octave_{check,version}: Stop execution on error

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Nov 2023 05:16:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: dh-octave
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
@@ -19,7 +18,7 @@
 Package: dh-octave
 Provides: dh-sequence-octave
 Architecture: all
-Depends: neurodebian-popularity-contest, cme,
+Depends: cme,
          debhelper-compat (= 13),
          dh-octave-autopkgtest,
          libconfig-model-dpkg-perl,
@@ -45,7 +44,7 @@
 
 Package: dh-octave-autopkgtest
 Architecture: all
-Depends: neurodebian-popularity-contest, gnuplot-nox,
+Depends: gnuplot-nox,
          fonts-freefont-otf,
          ${misc:Depends}
 Description: script for the automatic testing of Octave add-on packages

## dh-octave 1.9.0

=== debian/changelog ===
dh-octave (1.9.0) experimental; urgency=medium

  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * Wrap paragraph for long description
    + dh_octave_substvar: Wrap the Description field extracted from the
      DESCRIPTION file into a paragraph with 75 character-wide lines
    + d/control: Depends on libtext-wrapper-perl
  * d/copyright: Update list of copyright years

 -- Rafael Laboissière <rafael@debian.org>  Fri, 27 Jun 2025 06:44:47 -0300

## dh-octave 1.9.1

=== debian/changelog ===
dh-octave (1.9.1) experimental; urgency=medium

  * dh_octave_make.in: Fix URL syntax

 -- Rafael Laboissière <rafael@debian.org>  Wed, 23 Jul 2025 04:59:13 -0300

## dh-octave 1.10.0

=== debian/changelog ===
dh-octave (1.10.0) experimental; urgency=medium

  * dh_octave_make.in: Create file debian/.gitignore

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Aug 2025 12:46:06 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libparse-debcontrol-perl,
                octave-dev,
                shunit2 <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
 Rules-Requires-Root: no
@@ -26,6 +26,7 @@
          libhtml-parser-perl,
          libmime-tools-perl,
          libparse-debcontrol-perl,
+         libtext-wrapper-perl,
          libwww-perl,
          octave-dev,
          ${misc:Depends},

## dh-octave 1.10.1

=== debian/changelog ===
dh-octave (1.10.1) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 00:19:10 -0300

## dh-octave 1.10.2

=== debian/changelog ===
dh-octave (1.10.2) unstable; urgency=medium

  * This version is identical to the previous one. I am releasing it again
    because I forgot to include the changelog items.

  [ Rafael Laboissière ]
  * Drop script clean-docdir
    Certain OF package install files in the doc directory on purpose an its
    contents should not be removed.
  * buildsystem.pm: Remove extra LICENSE file

  [ Sébastien Villemot ]
  * d/control: Drop “Rules-Requires-Root: no”
  * dh_octave_make.in: Drop “Rules-Requires-Root: no”
    This is now the default.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 04:05:16 -0300

## dh-octave 1.10.3

=== debian/changelog ===
dh-octave (1.10.3) unstable; urgency=medium

  * sequence.pm: Pass private Octave library path to dpkg-shlibdeps

 -- Rafael Laboissière <rafael@debian.org>  Wed, 10 Sep 2025 01:58:22 -0300

## dh-octave 1.11.0

=== debian/changelog ===
dh-octave (1.11.0) unstable; urgency=medium

  * Restore script for cleaning the installed doc/ directory
    + clean-docdir: Helper script for cleaning the doc/ directory
    + buildsystem.pm: Call clean-docdir in the install subroutine
    + d/dh-octave.install: Install the clean-docdir script
    + README.md: Document the new environment variable DH_OCTAVE_KEEP_DOC

 -- Rafael Laboissière <rafael@debian.org>  Fri, 12 Sep 2025 14:25:50 -0300

## dh-octave 1.11.1

=== debian/changelog ===
dh-octave (1.11.1) unstable; urgency=medium

  * dh_octave_make.in: Use version 5 for file debian/watch
  * Avoid race condition with find/rm commands
    + clean-docdir: Run the find command in the script
    + buildsystem.pm: Pass the doc/ directory as argument to clean-docdir
    (Closes: #1115114)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Sep 2025 15:28:04 -0300

## dh-octave 1.11.2

=== debian/changelog ===
dh-octave (1.11.2) unstable; urgency=medium

  * sequence.pm: Simplify obtaining the Octave library directory path

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 17:04:52 -0300

## dh-octave 1.11.3

=== debian/changelog ===
dh-octave (1.11.3) unstable; urgency=medium

  * clean-docdir: Remove empty sub-directories
  * Fix usage of variable DH_OCTAVE_KEEP_DOC
    + clean-docdir: Consider all elements in the space-separated list
    + README.md: Document this behavior

 -- Rafael Laboissière <rafael@debian.org>  Wed, 24 Sep 2025 07:44:00 -0300

## dh-octave 1.11.4

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,19 @@
+# Copyright © 2018  Rafael Laboissière <rafael@debian.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
 SCRIPTS = dh_octave_substvar	\
           dh_octave_check	\
           dh_octave_clean	\

=== debian/changelog ===
dh-octave (1.11.4) unstable; urgency=medium

  * Honor the nocheck build option
    + sequence.pm: Inconditionnaly insert dh_octave_check after
      dh_auto_install
    + dh_octave_check: Run the unit tests only if neither
      DEB_BUILD_OPTIONS nor DEB_BUILD_MAINT_OPTIONS contains nocheck

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Sep 2025 03:31:10 -0300

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git
-Rules-Requires-Root: no
 
 Package: dh-octave
 Provides: dh-sequence-octave

## dh-octave 1.12.0

=== debian/changelog ===
dh-octave (1.12.0) unstable; urgency=medium

  * d/salsa-ci.yml: New file
  * dh_octave_make.in:
    + Create the debian/salsa-ci.yml file
    + Improve Matching-Pattern in d/watch file
  * README.md: Fix mistakes and improve wording of documentation
  * test_dh_octave.sh: Make unit test robust to change in LANG environment
    variable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 10 Nov 2025 13:24:23 -0300

## dh-octave 1.12.1

=== debian/changelog ===
dh-octave (1.12.1) unstable; urgency=medium

  * dh_octave_make.in: Add empty job to the CI pipeline

 -- Rafael Laboissière <rafael@debian.org>  Fri, 14 Nov 2025 02:17:17 -0300

## dh-octave 1.13.0

=== debian/changelog ===
dh-octave (1.13.0) unstable; urgency=medium

  * Makefile: Check scripts through perlcritic
  * d/control: Build-depend in libperl-critic-perl
  * Fix perlcritic issues
  * dh_octave_make.in:
    + Replace underscores by hyphens in package name
    + Fix typo in variable usage
    + Escape "@" and "$" in double quoted string

 -- Rafael Laboissière <rafael@debian.org>  Fri, 28 Nov 2025 10:32:56 -0300

## dh-octave 1.13.1

=== debian/changelog ===
dh-octave (1.13.1) unstable; urgency=medium

  * Proper processing of DH_OCTAVE_KEEP_DOC
    + clean-docdir: The file paths in the environment variable
      DH_OCTAVE_KEEP_DOC are relative to the doc/ directory
    + README.md: Update the documentation to reflect that

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Dec 2025 12:38:18 -0300

## dh-octave 1.13.2

=== debian/changelog ===
dh-octave (1.13.2) unstable; urgency=medium

  * buildsystem.pm: Proper removal of empty directories

 -- Rafael Laboissière <rafael@debian.org>  Tue, 09 Dec 2025 12:59:40 -0300

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libparse-debcontrol-perl,
+               libperl-critic-perl,
                octave-dev,
                shunit2 <!nocheck>
 Standards-Version: 4.7.2
@@ -25,6 +26,7 @@
          libhtml-parser-perl,
          libmime-tools-perl,
          libparse-debcontrol-perl,
+         libperl-critic-perl,
          libtext-wrapper-perl,
          libwww-perl,
          octave-dev,

## dh-octave 1.13.3

=== debian/changelog ===
dh-octave (1.13.3) unstable; urgency=medium

  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * dh_octave_check:
    + Check whether the inst/ directory exists, before looking for files in it
    + Do not run tests if the DESCRIPTION file is not present

 -- Rafael Laboissière <rafael@debian.org>  Wed, 21 Jan 2026 05:21:12 +0000

## dh-octave 1.13.4

=== debian/changelog ===
dh-octave (1.13.4) unstable; urgency=medium

  * dh_octave_check: Do not return failure status when the DESCRIPTION
    file is not found

 -- Rafael Laboissière <rafael@debian.org>  Fri, 23 Jan 2026 17:38:55 +0000

## dh-octave 1.14.0

=== debian/changelog ===
dh-octave (1.14.0) unstable; urgency=medium

  * install-pkg.m: Install from tarball instead of from the unpacked sources.
    Installing from the directory where the sources are unpacked is a
    hidden “feature” of Octave's pkg command. The correct approach is to
    install from a tarball. This is what is done now, by packing the
    tarball on the fly from the upstream sources after application of the
    Debian-specific patches. This change eliminates the need to apply a
    patch to the octave's package pkg.m file.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 02 Feb 2026 08:15:45 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
            Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: devel
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                libparse-debcontrol-perl,
                libperl-critic-perl,
                octave-dev,
                shunit2 <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dh-octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dh-octave.git

## dh-octave 1.14.1

=== Makefile ===
--- 
+++ 
@@ -14,20 +14,22 @@
 # with this program; if not, write to the Free Software Foundation,
 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
 
-SCRIPTS = dh_octave_substvar	\
+PERL_SCRIPTS = dh_octave_substvar	\
+               dh_octave_clean		\
+               dh_octave_make		\
+               dh_octave_changelogs	\
+               dh_octave_examples
+
+SCRIPTS = $(PERL_SCRIPTS)	\
           dh_octave_check	\
-          dh_octave_clean	\
-          dh_octave_make	\
-          dh_octave_version	\
-          dh_octave_changelogs	\
-          dh_octave_examples
+          dh_octave_version
 
 MANPAGES = $(patsubst %,%.1,$(SCRIPTS))
 
 VERSION := $(shell dpkg-parsechangelog -S Version)
 
 .PHONY: all
-all: manpages chmod
+all: manpages chmod critic
 
 .PHONY: manpages
 manpages: $(MANPAGES)
@@ -46,6 +48,13 @@
 check:
 	PREFIX=$(shell pwd)/ ./test_dh_octave.sh
 
+.PHONY: critic
+critic: $(PERL_SCRIPTS)
+	perlcritic		\
+	    buildsystem.pm	\
+	    substitute.pl	\
+	    $(PERL_SCRIPTS)
+
 .PHONY: clean
 clean:
 	rm -f $(MANPAGES) dh_octave_make

=== debian/changelog ===
dh-octave (1.14.1) unstable; urgency=medium

  * install-pkg.m: Allow extension in directory name

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Feb 2026 08:16:30 +0000
